Bug 132768 - hald spins reading vfat partition
hald spins reading vfat partition
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-09-16 15:49 EDT by jastr
Modified: 2013-03-05 22:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-21 11:19:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of "hald --daemon=no --verbose=yes" (326.50 KB, text/plain)
2004-09-16 15:51 EDT, jastr
no flags Details

  None (edit)
Description jastr 2004-09-16 15:49:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809

Description of problem:
when hald starts, it consumes 100% of cpu.  

tracing with strace indicates that it's reading /dev/hda1, which is a
windows partition that's neither mounted nor listed in /etc/fstab.



Version-Release number of selected component (if applicable):
hal-0.2.97.cvs20040901-1

How reproducible:
Always

Steps to Reproduce:
1. service haldaemon start
2.
3.
    

Actual Results:  hald sits in an infinite loop reading /dev/hda1

Expected Results:  hald shouldn't spin

Additional info:

thinkpad t42p, running FC3T1 + updates
hal version is hal-0.2.97.cvs20040901-1
Comment 1 jastr 2004-09-16 15:51:32 EDT
Created attachment 103929 [details]
output of "hald --daemon=no --verbose=yes"

this is only the first few thousand lines (I see it looping after that)
Comment 2 David Zeuthen 2004-09-16 15:56:15 EDT
Hi, thanks for noticing this. It might be fixed upstream already so
when a new package is available I've add another comment to this bug.
Comment 3 David Zeuthen 2004-09-21 03:44:29 EDT
This should be fixed in hal-0.2.98-4 which is available in Rawhide
soon - alternatively you can download the SRPM from 

 http://people.redhat.com/davidz/hal-0.2.98-4.src.rpm
Comment 4 jastr 2004-09-21 11:19:13 EDT
Yes, 0.2.98-4 fixes it.  thanks!

Note You need to log in before you can comment on or make changes to this bug.